Package com.collibra.dgc.core.api.dto.viewpermission

# Class AddViewPermissionRequest

Object
AddViewPermissionRequest

All Implemented Interfaces:
  `Serializable`

public class AddViewPermissionRequest extends Object implements Serializable
Contains the parameters needed to create view permissions.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AddViewPermissionRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddViewPermissionRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddViewPermissionRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `ResourceReference`
  `getBaseResource()`
  Required. The resource on which we want to provide the view permission.
  `UUID`
  `getUserGroupId()`
  The userGroupId of the group that should receive the view permission.
  `UUID`
  `getUserId()`
  The userId of the person who should receive the view permission.
  `int`
  `hashCode()`
  `void`
  `setBaseResource(ResourceReference baseResource)`
  Required. The resource on which we want to provide the view permission.
  `void`
  `setUserGroupId(UUID userGroupId)`
  The userGroupId of the group that should receive the view permission.
  `void`
  `setUserId(UUID userId)`
  The userId of the person who should receive the view permission.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddViewPermissionRequest

    public AddViewPermissionRequest()

- ## Method Details

  - ### builder

    public static AddViewPermissionRequest.Builder builder()

  - ### getUserId

    public UUID getUserId()
    The userId of the person who should receive the view permission. Either this or the userGroupId is required.

  - ### getUserGroupId

    public UUID getUserGroupId()
    The userGroupId of the group that should receive the view permission. Either this or the userId is required.

  - ### getBaseResource

    public ResourceReference getBaseResource()
    Required. The resource on which we want to provide the view permission.

  - ### setUserId

    public void setUserId(UUID userId)
    The userId of the person who should receive the view permission. Either this or the userGroupId is required.

  - ### setUserGroupId

    public void setUserGroupId(UUID userGroupId)
    The userGroupId of the group that should receive the view permission. Either this or the userId is required.

  - ### setBaseResource

    public void setBaseResource(ResourceReference baseResource)
    Required. The resource on which we want to provide the view permission.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`